<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.MerchantRoleMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, name, code, type, state, remark, version, create_time, update_time
    </sql>

    <select id="getMerchantRoleById" resultType="com.jumeirah.common.vo.MerchantRoleQueryVo">
        select
        <include refid="Base_Column_List"/>
        from merchant_role where id = #{id}
    </select>

    <select id="getMerchantRolePageList" parameterType="com.jumeirah.common.param.MerchantRolePageParam"
            resultType="com.jumeirah.common.vo.MerchantRoleQueryVo">
        select
        <include refid="Base_Column_List"/>
        from merchant_role
    </select>

</mapper>
